%define upstream_name    DBIx-Class-DateTime-Epoch
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Automatic inflation/deflation of epoch-based columns to/from DateTime objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBICx::TestDatabase)
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(DBIx::Class::DynamicDefault)
BuildRequires: perl(DBIx::Class::TimeStamp)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This module automatically inflates/deflates DateTime objects from/to epoch
values for the specified columns. This module is essentially an extension
to the DBIx::Class::InflateColumn::DateTime manpage so all of the settings,
including 'locale' and 'timezone', are also valid.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jan 29 2010 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.1
+ Revision: 497911
- update to 0.06

* Mon Nov 30 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.1
+ Revision: 471636
- adding missing buildrequires:
- tighten spec file
- import perl-DBIx-Class-DateTime-Epoch


* Sun Nov 29 2009 cpan2dist 0.05-1mdv
- initial mdv release, generated with cpan2dist
